pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.9.1 20140813 (Red Hat 4.9.1-7)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templates2ada" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#4b3e2960#;
   pragma Export (C, u00001, "templates2adaB");
   u00002 : constant Version_32 := 16#a964624f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#ec0c916c#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00005, "ada__charactersS");
   u00006 : constant Version_32 := 16#239b1678#;
   pragma Export (C, u00006, "ada__characters__handlingB");
   u00007 : constant Version_32 := 16#313e5d46#;
   pragma Export (C, u00007, "ada__characters__handlingS");
   u00008 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00008, "ada__characters__latin_1S");
   u00009 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#bd760655#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#7ff7f3a3#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#41f44e68#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00013, "system__htableB");
   u00014 : constant Version_32 := 16#39b4b5bf#;
   pragma Export (C, u00014, "system__htableS");
   u00015 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00015, "system__string_hashB");
   u00016 : constant Version_32 := 16#9beadec1#;
   pragma Export (C, u00016, "system__string_hashS");
   u00017 : constant Version_32 := 16#77a147eb#;
   pragma Export (C, u00017, "system__soft_linksB");
   u00018 : constant Version_32 := 16#4c165de8#;
   pragma Export (C, u00018, "system__soft_linksS");
   u00019 : constant Version_32 := 16#65bb1402#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#16fab23f#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#643ddf46#;
   pragma Export (C, u00021, "system__secondary_stackB");
   u00022 : constant Version_32 := 16#1617c93c#;
   pragma Export (C, u00022, "system__secondary_stackS");
   u00023 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#90b54c51#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#c402bf3d#;
   pragma Export (C, u00025, "ada__exceptionsB");
   u00026 : constant Version_32 := 16#ccec0589#;
   pragma Export (C, u00026, "ada__exceptionsS");
   u00027 : constant Version_32 := 16#51ba2b93#;
   pragma Export (C, u00027, "ada__exceptions__last_chance_handlerB");
   u00028 : constant Version_32 := 16#909606f8#;
   pragma Export (C, u00028, "ada__exceptions__last_chance_handlerS");
   u00029 : constant Version_32 := 16#9e373b74#;
   pragma Export (C, u00029, "system__exceptionsB");
   u00030 : constant Version_32 := 16#8568a0f7#;
   pragma Export (C, u00030, "system__exceptionsS");
   u00031 : constant Version_32 := 16#cd9019cf#;
   pragma Export (C, u00031, "system__exceptions__machineS");
   u00032 : constant Version_32 := 16#a2eb6533#;
   pragma Export (C, u00032, "system__exceptions_debugB");
   u00033 : constant Version_32 := 16#467117ed#;
   pragma Export (C, u00033, "system__exceptions_debugS");
   u00034 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00034, "system__img_intB");
   u00035 : constant Version_32 := 16#bfade697#;
   pragma Export (C, u00035, "system__img_intS");
   u00036 : constant Version_32 := 16#ff5c7695#;
   pragma Export (C, u00036, "system__tracebackB");
   u00037 : constant Version_32 := 16#95729908#;
   pragma Export (C, u00037, "system__tracebackS");
   u00038 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00038, "system__wch_conB");
   u00039 : constant Version_32 := 16#a60b2487#;
   pragma Export (C, u00039, "system__wch_conS");
   u00040 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00040, "system__wch_stwB");
   u00041 : constant Version_32 := 16#8b1a0886#;
   pragma Export (C, u00041, "system__wch_stwS");
   u00042 : constant Version_32 := 16#9b29844d#;
   pragma Export (C, u00042, "system__wch_cnvB");
   u00043 : constant Version_32 := 16#a9bc9e74#;
   pragma Export (C, u00043, "system__wch_cnvS");
   u00044 : constant Version_32 := 16#69adb1b9#;
   pragma Export (C, u00044, "interfacesS");
   u00045 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00045, "system__wch_jisB");
   u00046 : constant Version_32 := 16#29cc8755#;
   pragma Export (C, u00046, "system__wch_jisS");
   u00047 : constant Version_32 := 16#8cb17bcd#;
   pragma Export (C, u00047, "system__traceback_entriesB");
   u00048 : constant Version_32 := 16#086766c7#;
   pragma Export (C, u00048, "system__traceback_entriesS");
   u00049 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00049, "system__stack_checkingB");
   u00050 : constant Version_32 := 16#33c96dbd#;
   pragma Export (C, u00050, "system__stack_checkingS");
   u00051 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00051, "ada__strings__mapsB");
   u00052 : constant Version_32 := 16#6a512c5d#;
   pragma Export (C, u00052, "ada__strings__mapsS");
   u00053 : constant Version_32 := 16#6e4f4733#;
   pragma Export (C, u00053, "system__bit_opsB");
   u00054 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00054, "system__bit_opsS");
   u00055 : constant Version_32 := 16#ec7094fa#;
   pragma Export (C, u00055, "system__unsigned_typesS");
   u00056 : constant Version_32 := 16#34090881#;
   pragma Export (C, u00056, "ada__strings__maps__constantsS");
   u00057 : constant Version_32 := 16#3b45f178#;
   pragma Export (C, u00057, "ada__command_lineB");
   u00058 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00058, "ada__command_lineS");
   u00059 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00059, "ada__containersS");
   u00060 : constant Version_32 := 16#d9473c8c#;
   pragma Export (C, u00060, "ada__containers__red_black_treesS");
   u00061 : constant Version_32 := 16#9b0f330a#;
   pragma Export (C, u00061, "ada__directoriesB");
   u00062 : constant Version_32 := 16#f30e1143#;
   pragma Export (C, u00062, "ada__directoriesS");
   u00063 : constant Version_32 := 16#65712768#;
   pragma Export (C, u00063, "ada__calendarB");
   u00064 : constant Version_32 := 16#e791e294#;
   pragma Export (C, u00064, "ada__calendarS");
   u00065 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00065, "interfaces__cB");
   u00066 : constant Version_32 := 16#96001448#;
   pragma Export (C, u00066, "interfaces__cS");
   u00067 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00067, "system__os_primitivesB");
   u00068 : constant Version_32 := 16#0da78a7c#;
   pragma Export (C, u00068, "system__os_primitivesS");
   u00069 : constant Version_32 := 16#7a13e6d7#;
   pragma Export (C, u00069, "ada__calendar__formattingB");
   u00070 : constant Version_32 := 16#929f882b#;
   pragma Export (C, u00070, "ada__calendar__formattingS");
   u00071 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00071, "ada__calendar__time_zonesB");
   u00072 : constant Version_32 := 16#98f012d7#;
   pragma Export (C, u00072, "ada__calendar__time_zonesS");
   u00073 : constant Version_32 := 16#f8f38c17#;
   pragma Export (C, u00073, "system__val_intB");
   u00074 : constant Version_32 := 16#f5d32c6a#;
   pragma Export (C, u00074, "system__val_intS");
   u00075 : constant Version_32 := 16#4266b2a8#;
   pragma Export (C, u00075, "system__val_unsB");
   u00076 : constant Version_32 := 16#fcd879c1#;
   pragma Export (C, u00076, "system__val_unsS");
   u00077 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00077, "system__val_utilB");
   u00078 : constant Version_32 := 16#11d6b0ab#;
   pragma Export (C, u00078, "system__val_utilS");
   u00079 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00079, "system__case_utilB");
   u00080 : constant Version_32 := 16#997f6f82#;
   pragma Export (C, u00080, "system__case_utilS");
   u00081 : constant Version_32 := 16#8ff77155#;
   pragma Export (C, u00081, "system__val_realB");
   u00082 : constant Version_32 := 16#435f7144#;
   pragma Export (C, u00082, "system__val_realS");
   u00083 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00083, "system__exn_llfB");
   u00084 : constant Version_32 := 16#3cf218ba#;
   pragma Export (C, u00084, "system__exn_llfS");
   u00085 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00085, "system__float_controlB");
   u00086 : constant Version_32 := 16#5d8a4569#;
   pragma Export (C, u00086, "system__float_controlS");
   u00087 : constant Version_32 := 16#ed066022#;
   pragma Export (C, u00087, "system__powten_tableS");
   u00088 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00088, "ada__directories__validityB");
   u00089 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00089, "ada__directories__validityS");
   u00090 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00090, "ada__strings__fixedB");
   u00091 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00091, "ada__strings__fixedS");
   u00092 : constant Version_32 := 16#562e7aee#;
   pragma Export (C, u00092, "ada__strings__searchB");
   u00093 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00093, "ada__strings__searchS");
   u00094 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00094, "ada__strings__unboundedB");
   u00095 : constant Version_32 := 16#ac15cd78#;
   pragma Export (C, u00095, "ada__strings__unboundedS");
   u00096 : constant Version_32 := 16#08ba48f3#;
   pragma Export (C, u00096, "ada__tagsB");
   u00097 : constant Version_32 := 16#c34ccb99#;
   pragma Export (C, u00097, "ada__tagsS");
   u00098 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00098, "system__compare_array_unsigned_8B");
   u00099 : constant Version_32 := 16#147577d8#;
   pragma Export (C, u00099, "system__compare_array_unsigned_8S");
   u00100 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00100, "system__address_operationsB");
   u00101 : constant Version_32 := 16#ae7ab866#;
   pragma Export (C, u00101, "system__address_operationsS");
   u00102 : constant Version_32 := 16#b2cd7d9b#;
   pragma Export (C, u00102, "system__machine_codeS");
   u00103 : constant Version_32 := 16#1220f12d#;
   pragma Export (C, u00103, "system__storage_pools__subpoolsB");
   u00104 : constant Version_32 := 16#b0e8cddc#;
   pragma Export (C, u00104, "system__storage_pools__subpoolsS");
   u00105 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00105, "system__address_imageB");
   u00106 : constant Version_32 := 16#1c9a9b6f#;
   pragma Export (C, u00106, "system__address_imageS");
   u00107 : constant Version_32 := 16#1f8826cb#;
   pragma Export (C, u00107, "system__finalization_mastersB");
   u00108 : constant Version_32 := 16#f2756a4c#;
   pragma Export (C, u00108, "system__finalization_mastersS");
   u00109 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00109, "system__img_boolB");
   u00110 : constant Version_32 := 16#48af77be#;
   pragma Export (C, u00110, "system__img_boolS");
   u00111 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00111, "system__ioB");
   u00112 : constant Version_32 := 16#2334f11a#;
   pragma Export (C, u00112, "system__ioS");
   u00113 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00113, "ada__finalizationB");
   u00114 : constant Version_32 := 16#22e22193#;
   pragma Export (C, u00114, "ada__finalizationS");
   u00115 : constant Version_32 := 16#1b5643e2#;
   pragma Export (C, u00115, "ada__streamsB");
   u00116 : constant Version_32 := 16#2564c958#;
   pragma Export (C, u00116, "ada__streamsS");
   u00117 : constant Version_32 := 16#db5c917c#;
   pragma Export (C, u00117, "ada__io_exceptionsS");
   u00118 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00118, "system__finalization_rootB");
   u00119 : constant Version_32 := 16#f28475c5#;
   pragma Export (C, u00119, "system__finalization_rootS");
   u00120 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00120, "system__storage_poolsB");
   u00121 : constant Version_32 := 16#7338c488#;
   pragma Export (C, u00121, "system__storage_poolsS");
   u00122 : constant Version_32 := 16#aba9f469#;
   pragma Export (C, u00122, "system__storage_pools__subpools__finalizationB");
   u00123 : constant Version_32 := 16#9662cb63#;
   pragma Export (C, u00123, "system__storage_pools__subpools__finalizationS");
   u00124 : constant Version_32 := 16#e5ac57f8#;
   pragma Export (C, u00124, "system__atomic_countersB");
   u00125 : constant Version_32 := 16#700a929f#;
   pragma Export (C, u00125, "system__atomic_countersS");
   u00126 : constant Version_32 := 16#ffe20862#;
   pragma Export (C, u00126, "system__stream_attributesB");
   u00127 : constant Version_32 := 16#e5402c91#;
   pragma Export (C, u00127, "system__stream_attributesS");
   u00128 : constant Version_32 := 16#92f4da28#;
   pragma Export (C, u00128, "system__crtlS");
   u00129 : constant Version_32 := 16#af58481f#;
   pragma Export (C, u00129, "system__file_attributesS");
   u00130 : constant Version_32 := 16#d4d6f114#;
   pragma Export (C, u00130, "system__os_constantsS");
   u00131 : constant Version_32 := 16#ec6e1273#;
   pragma Export (C, u00131, "system__file_ioB");
   u00132 : constant Version_32 := 16#2c376772#;
   pragma Export (C, u00132, "system__file_ioS");
   u00133 : constant Version_32 := 16#e0b7a7e8#;
   pragma Export (C, u00133, "interfaces__c_streamsB");
   u00134 : constant Version_32 := 16#6c8b8ac5#;
   pragma Export (C, u00134, "interfaces__c_streamsS");
   u00135 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00135, "system__img_enum_newB");
   u00136 : constant Version_32 := 16#dc3a0095#;
   pragma Export (C, u00136, "system__img_enum_newS");
   u00137 : constant Version_32 := 16#c39a6f5f#;
   pragma Export (C, u00137, "system__os_libB");
   u00138 : constant Version_32 := 16#fc501b71#;
   pragma Export (C, u00138, "system__os_libS");
   u00139 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00139, "system__stringsB");
   u00140 : constant Version_32 := 16#c3c91733#;
   pragma Export (C, u00140, "system__stringsS");
   u00141 : constant Version_32 := 16#f76f672a#;
   pragma Export (C, u00141, "system__file_control_blockS");
   u00142 : constant Version_32 := 16#e34550ca#;
   pragma Export (C, u00142, "system__pool_globalB");
   u00143 : constant Version_32 := 16#c88d2d16#;
   pragma Export (C, u00143, "system__pool_globalS");
   u00144 : constant Version_32 := 16#6810466c#;
   pragma Export (C, u00144, "system__memoryB");
   u00145 : constant Version_32 := 16#e40b6061#;
   pragma Export (C, u00145, "system__memoryS");
   u00146 : constant Version_32 := 16#933fac2f#;
   pragma Export (C, u00146, "system__regexpB");
   u00147 : constant Version_32 := 16#73e7fde9#;
   pragma Export (C, u00147, "system__regexpS");
   u00148 : constant Version_32 := 16#aa45afff#;
   pragma Export (C, u00148, "ada__streams__stream_ioB");
   u00149 : constant Version_32 := 16#68da1e56#;
   pragma Export (C, u00149, "ada__streams__stream_ioS");
   u00150 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00150, "system__communicationB");
   u00151 : constant Version_32 := 16#25a02812#;
   pragma Export (C, u00151, "system__communicationS");
   u00152 : constant Version_32 := 16#9a3f0a9b#;
   pragma Export (C, u00152, "ada__text_ioB");
   u00153 : constant Version_32 := 16#0a051a2c#;
   pragma Export (C, u00153, "ada__text_ioS");
   u00154 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00154, "gnatS");
   u00155 : constant Version_32 := 16#f4c4af80#;
   pragma Export (C, u00155, "gnat__command_lineB");
   u00156 : constant Version_32 := 16#39f9713b#;
   pragma Export (C, u00156, "gnat__command_lineS");
   u00157 : constant Version_32 := 16#920ae6e5#;
   pragma Export (C, u00157, "gnat__directory_operationsB");
   u00158 : constant Version_32 := 16#48e8a667#;
   pragma Export (C, u00158, "gnat__directory_operationsS");
   u00159 : constant Version_32 := 16#8328c314#;
   pragma Export (C, u00159, "gnat__os_libS");
   u00160 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00160, "gnat__regexpS");
   u00161 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00161, "gnat__stringsS");
   u00162 : constant Version_32 := 16#44706bcc#;
   pragma Export (C, u00162, "system__strings__stream_opsB");
   u00163 : constant Version_32 := 16#5ed775a4#;
   pragma Export (C, u00163, "system__strings__stream_opsS");
   u00164 : constant Version_32 := 16#6248ea01#;
   pragma Export (C, u00164, "templates_parserB");
   u00165 : constant Version_32 := 16#dffd4d26#;
   pragma Export (C, u00165, "templates_parserS");
   u00166 : constant Version_32 := 16#654e2c4c#;
   pragma Export (C, u00166, "ada__containers__hash_tablesS");
   u00167 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00167, "ada__containers__prime_numbersB");
   u00168 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00168, "ada__containers__prime_numbersS");
   u00169 : constant Version_32 := 16#75de1dee#;
   pragma Export (C, u00169, "ada__strings__hashB");
   u00170 : constant Version_32 := 16#3655ad4c#;
   pragma Export (C, u00170, "ada__strings__hashS");
   u00171 : constant Version_32 := 16#e4e8fcd4#;
   pragma Export (C, u00171, "ada__strings__hash_case_insensitiveB");
   u00172 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00172, "ada__strings__hash_case_insensitiveS");
   u00173 : constant Version_32 := 16#e1f42065#;
   pragma Export (C, u00173, "gnat__calendarB");
   u00174 : constant Version_32 := 16#d73dae4e#;
   pragma Export (C, u00174, "gnat__calendarS");
   u00175 : constant Version_32 := 16#8ac38e7e#;
   pragma Export (C, u00175, "gnat__calendar__time_ioB");
   u00176 : constant Version_32 := 16#1efff27c#;
   pragma Export (C, u00176, "gnat__calendar__time_ioS");
   u00177 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00177, "gnat__case_utilB");
   u00178 : constant Version_32 := 16#d6115050#;
   pragma Export (C, u00178, "gnat__case_utilS");
   u00179 : constant Version_32 := 16#3da6be5a#;
   pragma Export (C, u00179, "system__img_lluB");
   u00180 : constant Version_32 := 16#a5b99439#;
   pragma Export (C, u00180, "system__img_lluS");
   u00181 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00181, "gnat__regpatS");
   u00182 : constant Version_32 := 16#bdd60d40#;
   pragma Export (C, u00182, "system__regpatB");
   u00183 : constant Version_32 := 16#3f2c9d2a#;
   pragma Export (C, u00183, "system__regpatS");
   u00184 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00184, "system__img_charB");
   u00185 : constant Version_32 := 16#21425eb2#;
   pragma Export (C, u00185, "system__img_charS");
   u00186 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00186, "templates_parser__configurationS");
   u00187 : constant Version_32 := 16#3d77b01f#;
   pragma Export (C, u00187, "templates_parser__inputB");
   u00188 : constant Version_32 := 16#08e39ca1#;
   pragma Export (C, u00188, "templates_parser__inputS");
   u00189 : constant Version_32 := 16#00bf7b62#;
   pragma Export (C, u00189, "templates_parser__utilsB");
   u00190 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00190, "templates_parser__utilsS");
   u00191 : constant Version_32 := 16#e5789238#;
   pragma Export (C, u00191, "ada__environment_variablesB");
   u00192 : constant Version_32 := 16#3ff48a0e#;
   pragma Export (C, u00192, "ada__environment_variablesS");
   u00193 : constant Version_32 := 16#65c5ac53#;
   pragma Export (C, u00193, "interfaces__c__stringsB");
   u00194 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00194, "interfaces__c__stringsS");
   u00195 : constant Version_32 := 16#4602c6ec#;
   pragma Export (C, u00195, "templates_parser_taskingB");
   u00196 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00196, "templates_parser_taskingS");
   u00197 : constant Version_32 := 16#5cf80e25#;
   pragma Export (C, u00197, "ada__task_identificationB");
   u00198 : constant Version_32 := 16#d55c0b99#;
   pragma Export (C, u00198, "ada__task_identificationS");
   u00199 : constant Version_32 := 16#f1810eee#;
   pragma Export (C, u00199, "system__task_primitivesS");
   u00200 : constant Version_32 := 16#2ad85054#;
   pragma Export (C, u00200, "system__os_interfaceB");
   u00201 : constant Version_32 := 16#2f1318a4#;
   pragma Export (C, u00201, "system__os_interfaceS");
   u00202 : constant Version_32 := 16#b2786e6b#;
   pragma Export (C, u00202, "system__linuxS");
   u00203 : constant Version_32 := 16#d18cfba2#;
   pragma Export (C, u00203, "system__task_primitives__operationsB");
   u00204 : constant Version_32 := 16#c52b4255#;
   pragma Export (C, u00204, "system__task_primitives__operationsS");
   u00205 : constant Version_32 := 16#903909a4#;
   pragma Export (C, u00205, "system__interrupt_managementB");
   u00206 : constant Version_32 := 16#f7ec16db#;
   pragma Export (C, u00206, "system__interrupt_managementS");
   u00207 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00207, "system__multiprocessorsB");
   u00208 : constant Version_32 := 16#85da9926#;
   pragma Export (C, u00208, "system__multiprocessorsS");
   u00209 : constant Version_32 := 16#395dd3e7#;
   pragma Export (C, u00209, "system__stack_checking__operationsB");
   u00210 : constant Version_32 := 16#64c2cb2b#;
   pragma Export (C, u00210, "system__stack_checking__operationsS");
   u00211 : constant Version_32 := 16#3d54d5f6#;
   pragma Export (C, u00211, "system__task_infoB");
   u00212 : constant Version_32 := 16#c5467015#;
   pragma Export (C, u00212, "system__task_infoS");
   u00213 : constant Version_32 := 16#e3a166b3#;
   pragma Export (C, u00213, "system__taskingB");
   u00214 : constant Version_32 := 16#8f9eb3d7#;
   pragma Export (C, u00214, "system__taskingS");
   u00215 : constant Version_32 := 16#4e9d8c2e#;
   pragma Export (C, u00215, "system__stack_usageB");
   u00216 : constant Version_32 := 16#09222097#;
   pragma Export (C, u00216, "system__stack_usageS");
   u00217 : constant Version_32 := 16#74372fee#;
   pragma Export (C, u00217, "system__tasking__debugB");
   u00218 : constant Version_32 := 16#46dc5128#;
   pragma Export (C, u00218, "system__tasking__debugS");
   u00219 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00219, "system__concat_2B");
   u00220 : constant Version_32 := 16#bfd6d185#;
   pragma Export (C, u00220, "system__concat_2S");
   u00221 : constant Version_32 := 16#2b70b149#;
   pragma Export (C, u00221, "system__concat_3B");
   u00222 : constant Version_32 := 16#b6065af0#;
   pragma Export (C, u00222, "system__concat_3S");
   u00223 : constant Version_32 := 16#a83b7c85#;
   pragma Export (C, u00223, "system__concat_6B");
   u00224 : constant Version_32 := 16#6fb12be7#;
   pragma Export (C, u00224, "system__concat_6S");
   u00225 : constant Version_32 := 16#608e2cd1#;
   pragma Export (C, u00225, "system__concat_5B");
   u00226 : constant Version_32 := 16#3a28457b#;
   pragma Export (C, u00226, "system__concat_5S");
   u00227 : constant Version_32 := 16#932a4690#;
   pragma Export (C, u00227, "system__concat_4B");
   u00228 : constant Version_32 := 16#c3122d75#;
   pragma Export (C, u00228, "system__concat_4S");
   u00229 : constant Version_32 := 16#cfd258fe#;
   pragma Export (C, u00229, "system__tasking__utilitiesB");
   u00230 : constant Version_32 := 16#39283e2c#;
   pragma Export (C, u00230, "system__tasking__utilitiesS");
   u00231 : constant Version_32 := 16#10015ee5#;
   pragma Export (C, u00231, "system__tasking__initializationB");
   u00232 : constant Version_32 := 16#f20398cb#;
   pragma Export (C, u00232, "system__tasking__initializationS");
   u00233 : constant Version_32 := 16#a6a45076#;
   pragma Export (C, u00233, "system__soft_links__taskingB");
   u00234 : constant Version_32 := 16#e47ef8be#;
   pragma Export (C, u00234, "system__soft_links__taskingS");
   u00235 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00235, "ada__exceptions__is_null_occurrenceB");
   u00236 : constant Version_32 := 16#30a405b9#;
   pragma Export (C, u00236, "ada__exceptions__is_null_occurrenceS");
   u00237 : constant Version_32 := 16#a5fc5d01#;
   pragma Export (C, u00237, "system__tasking__queuingB");
   u00238 : constant Version_32 := 16#3d02e133#;
   pragma Export (C, u00238, "system__tasking__queuingS");
   u00239 : constant Version_32 := 16#65fc3619#;
   pragma Export (C, u00239, "system__tasking__protected_objectsB");
   u00240 : constant Version_32 := 16#6fa056d1#;
   pragma Export (C, u00240, "system__tasking__protected_objectsS");
   u00241 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00241, "system__tracesB");
   u00242 : constant Version_32 := 16#4f6b6eff#;
   pragma Export (C, u00242, "system__tracesS");
   u00243 : constant Version_32 := 16#f4f232d3#;
   pragma Export (C, u00243, "system__tasking__protected_objects__entriesB");
   u00244 : constant Version_32 := 16#4d64e3b6#;
   pragma Export (C, u00244, "system__tasking__protected_objects__entriesS");
   u00245 : constant Version_32 := 16#100eaf58#;
   pragma Export (C, u00245, "system__restrictionsB");
   u00246 : constant Version_32 := 16#5a542164#;
   pragma Export (C, u00246, "system__restrictionsS");
   u00247 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00247, "system__traces__taskingB");
   u00248 : constant Version_32 := 16#33a47127#;
   pragma Export (C, u00248, "system__traces__taskingS");
   u00249 : constant Version_32 := 16#3852d274#;
   pragma Export (C, u00249, "system__tasking__protected_objects__operationsB");
   u00250 : constant Version_32 := 16#415d7a1b#;
   pragma Export (C, u00250, "system__tasking__protected_objects__operationsS");
   u00251 : constant Version_32 := 16#e57c2b4c#;
   pragma Export (C, u00251, "system__tasking__entry_callsB");
   u00252 : constant Version_32 := 16#e5160f9e#;
   pragma Export (C, u00252, "system__tasking__entry_callsS");
   u00253 : constant Version_32 := 16#a56b69a7#;
   pragma Export (C, u00253, "system__tasking__rendezvousB");
   u00254 : constant Version_32 := 16#d7d33e30#;
   pragma Export (C, u00254, "system__tasking__rendezvousS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.machine_code%s
   --  system.atomic_counters%b
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.os_lib%s
   --  gnat.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.val_int%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.hash_tables%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.red_black_trees%s
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  ada.streams%b
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.communication%s
   --  system.communication%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.linux%s
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  system.file_attributes%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.secondary_stack%s
   --  system.file_io%b
   --  system.tasking.debug%b
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  system.regpat%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  gnat.directory_operations%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  templates2ada%b
   --  END ELABORATION ORDER


end ada_main;
